Package edu.wisc.game.math

## Enum MannWhitneyComparison.Mode

- java.lang.Object
- - java.lang.Enum<MannWhitneyComparison.Mode>
  - - edu.wisc.game.math.MannWhitneyComparison.Mode

- All Implemented Interfaces:
    `Serializable`, `Comparable<MannWhitneyComparison.Mode>`
  Enclosing class:
    MannWhitneyComparison

      public static enum MannWhitneyComparison.Mode
      extends Enum<MannWhitneyComparison.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CMP_ALGOS` |
    `CMP_RULES` |
    `CMP_RULES_HUMAN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MannWhitneyComparison.Mode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MannWhitneyComparison.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CMP_RULES

          public static final MannWhitneyComparison.Mode CMP_RULES

    - #### CMP_RULES_HUMAN

          public static final MannWhitneyComparison.Mode CMP_RULES_HUMAN

    - #### CMP_ALGOS

          public static final MannWhitneyComparison.Mode CMP_ALGOS

  - ### Method Detail

    - #### values

          public static MannWhitneyComparison.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MannWhitneyComparison.Mode c : MannWhitneyComparison.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MannWhitneyComparison.Mode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null